<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VisaPortfolioResponse StructType
 * @subpackage Structs
 */
class VisaPortfolioResponse extends AbstractStructBase
{
    /**
     * The VisaPortfolioRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $VisaPortfolioRS;
    /**
     * Constructor method for VisaPortfolioResponse
     * @uses VisaPortfolioResponse::setVisaPortfolioRS()
     * @param \StructType\JP_StaticDataRS $visaPortfolioRS
     */
    public function __construct(\StructType\JP_StaticDataRS $visaPortfolioRS = null)
    {
        $this
            ->setVisaPortfolioRS($visaPortfolioRS);
    }
    /**
     * Get VisaPortfolioRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getVisaPortfolioRS()
    {
        return $this->VisaPortfolioRS;
    }
    /**
     * Set VisaPortfolioRS value
     * @param \StructType\JP_StaticDataRS $visaPortfolioRS
     * @return \StructType\VisaPortfolioResponse
     */
    public function setVisaPortfolioRS(\StructType\JP_StaticDataRS $visaPortfolioRS = null)
    {
        $this->VisaPortfolioRS = $visaPortfolioRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VisaPortfolioResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
